<HTML>
<HEAD>
<TITLE>absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></A><H2>absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi</H2>
<P>VI sest graph X and Y scales</P>
<HR>
<H3>Connector Pane</H3>
<P><IMG SRC="full_help/full_helpc.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<HR>
<H3>Front Panel</H3>
<P><IMG SRC="full_help/full_helpp.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<HR>
<H3>Controls and Indicators</H3>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cblrn.png" ALT="cblrn"></P>
</TD>
<TD>
<B>Graph stop update</B> <P>Reference on graph stop update flag (graph in CUSTOM time mode)</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cwcrn.png" ALT="cwcrn"></P>
</TD>
<TD>
<B>Waveform Chart</B> <P>Reference on Waveform chart.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cnclst.png" ALT="cnclst"></P>
</TD>
<TD>
<B>ENUM cluster IN</B> <P>Enum history values.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cu16.png" ALT="cu16"></P>
</TD>
<TD>
<B>Visible time enum</B> <P>Visible time enum history value.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cu16.png" ALT="cu16"></P>
</TD>
<TD>
<B>Start enum</B> <P>Start time (custom) enum history value.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cu16.png" ALT="cu16"></P>
</TD>
<TD>
<B>Stop enum</B> <P>Stop time (custom) enum history value.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/corrn.png" ALT="corrn"></P>
</TD>
<TD>
<B>Enum STOP</B> <P>Reference on STOP enum.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/corrn.png" ALT="corrn"></P>
</TD>
<TD>
<B>Enum START</B> <P>Reference on START enum.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/c1datrn.png" ALT="c1datrn"></P>
</TD>
<TD>
<B>Timestamp array[s]</B> <P>Array contains timestamp for START and STOP enums.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/catrn.png" ALT="catrn"></P>
</TD>
<TD>
<B></B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/corrn.png" ALT="corrn"></P>
</TD>
<TD>
<B>Enum HOURS</B> <P>Reference on VISIBLE TIME enum.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/c1dmsdt.png" ALT="c1dmsdt"></P>
</TD>
<TD>
<B>Input</B> <P>Waveform data array Input</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cmsdt.png" ALT="cmsdt"></P>
</TD>
<TD>
<B>Waveform</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/catrn.png" ALT="catrn"></P>
</TD>
<TD>
<B>t0</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cdbl.png" ALT="cdbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/c1ddbl.png" ALT="c1ddbl"></P>
</TD>
<TD>
<B>Y</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cdbl.png" ALT="cdbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cerrcodeclst.png" ALT="cerrcodeclst"></P>
</TD>
<TD>
<B>error</B> <P>The error cluster contains error or warning information. </P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed. </P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cbool.png" ALT="cbool"></P>
</TD>
<TD>
<B>status</B> <P>The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>code</B> <P>The code number identifies the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>source</B> <P>The source string describes the origin of the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/cfxdt.png" ALT="cfxdt"></P>
</TD>
<TD>
<B>attributes</B> </TD>
</TR>
</Table>
</UL>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/catrn.png" ALT="catrn"></P>
</TD>
<TD>
<B>Last saved value</B> <P>Timestamp when last value was saved into graph</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/inclst.png" ALT="inclst"></P>
</TD>
<TD>
<B>ENUM cluster OUT</B> <P>Enum history values.</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/iu16.png" ALT="iu16"></P>
</TD>
<TD>
<B>Visible time enum</B> <P>Visible time enum history value.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/iu16.png" ALT="iu16"></P>
</TD>
<TD>
<B>Start enum</B> <P>Start time (custom) enum history value.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/iu16.png" ALT="iu16"></P>
</TD>
<TD>
<B>Stop enum</B> <P>Stop time (custom) enum history value.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/i1dmsdt.png" ALT="i1dmsdt"></P>
</TD>
<TD>
<B>Output</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/imsdt.png" ALT="imsdt"></P>
</TD>
<TD>
<B>Waveform</B> <P>Waveform data array Output</P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/iatrn.png" ALT="iatrn"></P>
</TD>
<TD>
<B>t0</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/idbl.png" ALT="idbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/i1ddbl.png" ALT="i1ddbl"></P>
</TD>
<TD>
<B>Y</B> </TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/idbl.png" ALT="idbl"></P>
</TD>
<TD>
<B>dt</B> </TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ierrcodeclst.png" ALT="ierrcodeclst"></P>
</TD>
<TD>
<B>error</B> <P>The error cluster contains error or warning information. </P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed. </P>
</TD>
</TR>
</Table>
<UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ibool.png" ALT="ibool"></P>
</TD>
<TD>
<B>status</B> <P>The status boolean is either TRUE (X) for an error, or FALSE (checkmark) for no error or a warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ii32.png" ALT="ii32"></P>
</TD>
<TD>
<B>code</B> <P>The code number identifies the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/istr.png" ALT="istr"></P>
</TD>
<TD>
<B>source</B> <P>The source string describes the origin of the error or warning.</P>
<P></P>
<P>The pop-up option Explain Error (or Explain Warning) gives more information about the error displayed.</P>
</TD>
</TR>
</Table>
</UL>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/ifxdt.png" ALT="ifxdt"></P>
</TD>
<TD>
<B>attributes</B> </TD>
</TR>
</Table>
</UL>
</UL>
<HR>
<H3>Block Diagram</H3>
<P><IMG SRC="full_help/full_helpd.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd1.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd2.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd3.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd4.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd5.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd6.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd7.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd8.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd9.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd10.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<P><IMG SRC="full_help/full_helpd11.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<HR>
<H3>List of SubVIs and Express VIs with Configuration Information</H3>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_absolute__time__graph__set__y__scalei.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_set_y_scale.vi"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:absolute_time_graph_set_y_scale.vi</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\absolute_time_graph_set_y_scale.vi</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_enums_history_bundle_typedefctli.png" ALT="absolute_time_graph.lvlib:enums history bundle typedef.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:enums history bundle typedef.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\enums history bundle typedef.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_fixed__range__visible__time__buttonctli.png" ALT="absolute_time_graph.lvlib:fixed_range_visible_time_button.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:fixed_range_visible_time_button.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\fixed_range_visible_time_button.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_type_of_y_scale_typedefctli.png" ALT="absolute_time_graph.lvlib:type of y scale typedef.ctl"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:type of y scale typedef.ctl</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\type of y scale typedef.ctl</P>
</TD>
</TR>
<TR valign=TOP>
<TD>
<P><IMG SRC="full_help/absolute__time__graph_lvlib_absolute__time__graph__set__x__scalei.png" ALT="absolute_time_graph.lvlib:absolute_time_graph_set_x_scale.vi"></P>
</TD>
<TD>
<B><P>absolute_time_graph.lvlib:absolute_time_graph_set_x_scale.vi</P>
</B><P>D:\LabVIEW_custom_library\absolute_time_graph\absolute_time_graph_set_x_scale.vi</P>
</TD>
</TR>
</Table>
<HR>
<H3>VI Revision History</H3>
<P>&quot;absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi History&quot;</P>
<P>Current Revision:   20</P>
<HR>
<H3>Position in Hierarchy</H3>
<P><IMG SRC="full_help/full_helph.png" ALT="absolute_time_graph.lvlib:absolute_time_set_graph_scales.vi"></P>
<HR>
<H3>Iconified Cluster Constants</H3>
</BODY>
</HTML>
